| Version: 3.2.5

Public Member Functions | List of all members
wxClientData Class Reference
Class List by Category » Containers

`#include <wx/clntdata.h>`

Inheritance diagram for wxClientData:
[legend]

## Detailed Description

All classes deriving from wxEvtHandler (such as all controls and wxApp) can hold arbitrary data which is here referred to as "client data".

This is useful e.g. for scripting languages which need to handle shadow objects for most of wxWidgets' classes and which store a handle to such a shadow class as client data in that class. This data can either be of type void - in which case the data container does not take care of freeing the data again or it is of type wxClientData or its derivatives. In that case the container (e.g. a control) will free the memory itself later. Note that you must not assign both void data and data derived from the wxClientData class to a container.

Some controls can hold various items and these controls can additionally hold client data for each item. This is the case for wxChoice, wxComboBox and wxListBox. wxTreeCtrl has a specialized class wxTreeItemData for each item in the tree.

If you want to add client data to your own classes, you may use the mix-in class wxClientDataContainer.

##

Library: wxBase
Category: Containers

See also
  wxEvtHandler, wxTreeItemData, wxStringClientData, wxClientDataContainer

## Public Member Functions

| wxClientData ()
| Constructor. More...
virtual | ~wxClientData ()
| Virtual destructor. More...

## Constructor & Destructor Documentation

## ◆ wxClientData()

wxClientData::wxClientData | ( |  | ) |

Constructor.

## ◆ ~wxClientData()

virtual wxClientData::~wxClientData | ( |  | ) |

virtual

Virtual destructor.